package net.northking.cctp.project.dto.project;

import com.fasterxml.jackson.annotation.JsonFormat;
import io.swagger.annotations.ApiModelProperty;

import java.util.Date;

public class ProMobResultDto {

    @ApiModelProperty("主键")
    private String id;

    @ApiModelProperty("系统名称")
    private String name;

    @ApiModelProperty("计划上线日期")
    @JsonFormat(pattern = "yyyy-MM-dd", timezone = "GMT+8")
    private Date productionTime;

    @ApiModelProperty("子系统数量")
    private Integer childProNum;

    @ApiModelProperty("是否叶子（1是0否）")
    private Boolean leaf;

    @ApiModelProperty("系统名称路径")
    private String namePath;

    @ApiModelProperty("id路径")
    private String idPath;

    public String getIdPath() {
        return idPath;
    }

    public void setIdPath(String idPath) {
        this.idPath = idPath;
    }

    public String getNamePath() {
        return namePath;
    }

    public void setNamePath(String namePath) {
        this.namePath = namePath;
    }

    public Boolean getLeaf() {
        return leaf;
    }

    public void setLeaf(Boolean leaf) {
        this.leaf = leaf;
    }

    public String getId() {
        return id;
    }

    public void setId(String id) {
        this.id = id;
    }

    public String getName() {
        return name;
    }

    public void setName(String name) {
        this.name = name;
    }

    public Date getProductionTime() {
        return productionTime;
    }

    public void setProductionTime(Date productionTime) {
        this.productionTime = productionTime;
    }

    public Integer getChildProNum() {
        return childProNum;
    }

    public void setChildProNum(Integer childProNum) {
        this.childProNum = childProNum;
    }
}
